Bug 1124813 - jsonrpc: No call and return data logging
Summary: jsonrpc: No call and return data logging
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Piotr Kliczewski
QA Contact: Antonin Pagac
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 11:49 UTC by Antoni Segura Puimedon
Modified: 2016-02-10 19:34 UTC (History)
10 users (show)

Fixed In Version: v4.16.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:24:36 UTC
oVirt Team: Infra


Attachments (Terms of Use)
vdsm.log (834.26 KB, application/x-xz)
2014-07-30 13:33 UTC, Antoni Segura Puimedon
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30923 master MERGED jsonrpc: logging requests and responses Never
oVirt gerrit 31088 ovirt-3.5 MERGED jsonrpc: logging requests and responses Never

Description Antoni Segura Puimedon 2014-07-30 11:49:40 UTC
Description of problem:
When doing a network operation with xmlrpc we'd get the following in vdsm.log
    Thread-21::DEBUG::2014-07-30 13:38:11,414::BindingXMLRPC::1127::vds::(wrapper) client [10.34.61.242]::call setupNetworks with ({'10': {'nic': 'em2', 'vlan': '10', 'STP': 'no', 'bridged': 'true', 'mtu': '1500'}}, {}, {'connectivityCheck': 'true', 'connectivityTimeout': 120}) {} flowID [686033d4]
    Thread-21::DEBUG::2014-07-30 13:38:32,689::BindingXMLRPC::1134::vds::(wrapper) return setupNetworks with {'status': {'message': 'Done', 'code': 0}}

With json rpc we only get (related to the call itself):
    Thread-23057::DEBUG::2014-07-30 13:32:44,126::__init__::462::jsonrpc.JsonRpcServer::(_serveRequest) Looking for method 'Host_setupNetworks' in bridge

Without the extra information it is not possible for an administrator to study
the logs to try to find what happened with a host, and it is even worse for
a developer trying to analyze a bug


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Move to json rpc
2. Use the setupNetworks dialog to add a network to a host

Actual results:
There is only a logging entry for searching for Host_setupNetworks

Expected results:
There is logging for the input call data and for the call return data


Additional info:

Comment 1 Antoni Segura Puimedon 2014-07-30 13:33:19 UTC
Created attachment 922584 [details]
vdsm.log

This is a vdsm.log that contains the jsonrpc operation

Comment 2 Antoni Segura Puimedon 2014-07-30 13:34:34 UTC
Note that the attachment is a full rotation of the log and that it happened pretty fast (no VMs running, only querying from the engine, I presume) 11:00-14:00

Comment 3 Francesco Romani 2014-08-01 07:23:19 UTC
Same for virt flows, CC'ing myself.

Comment 4 Antonin Pagac 2014-09-22 15:23:27 UTC
Verified in RHEVM Version: 3.5.0-0.11.beta.el6ev.

The messages when using jsonrpc are:

Thread-25::DEBUG::2014-09-22 14:57:03,800::__init__::467::jsonrpc.JsonRpcServer::(_serveRequest) Calling 'Host.setupNetworks' in bridge with {u'bondings': {}, u'networks': {u'ovirtmgmt': {u'remove': u'true'}, u'rhevm': {u'nic': u'eth0', u'mtu': u'1500', u'bootproto': u'dhcp', u'STP': u'no', u'bridged': u'true', u'defaultRoute': True}}, u'options': {u'connectivityCheck': u'true', u'connectivityTimeout': 120}}
Thread-25::DEBUG::2014-09-22 14:57:07,146::__init__::498::jsonrpc.JsonRpcServer::(_serveRequest) Return 'Host.setupNetworks' in bridge with {'message': 'Done', 'code': 0}

Comment 5 Sandro Bonazzola 2014-10-17 12:24:36 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.